import gleam/javascript/promise
import gleeunit
import spacetraders_api_fetch
import spacetraders_api_fetch_test/env

pub fn main() -> Nil {
  gleeunit.main()
}

pub fn status_test() {
  use res <- promise.map(spacetraders_api_fetch.get_server_status())
  let assert Ok(_) = res
}

pub fn error_codes_test() {
  use res <- promise.map(spacetraders_api_fetch.list_error_codes())
  let assert Ok(_) = res
}

pub fn account_test() {
  use res <- promise.map(spacetraders_api_fetch.get_account(
    env.load_env_unsafe().agent_token,
  ))
  let assert Ok(_) = echo res
}

pub fn supply_chain_test() {
  use res <- promise.map(spacetraders_api_fetch.get_supply_chain())
  let assert Ok(_) = res
}
